import alertReducer, { errorAlert, successAlert, infoAlert, warningAlert, promiseAlert } from "./reducer/alertReducer";
import { AlertComponent } from "./provider/AlertComponent";
import { AlertProvider } from "./provider/AlertProvider";
import { ToastAlert } from "./provider/ToastAlert";
import { ToastType } from "./types/toastType";
import { PromiseConfig } from "./types/reducerType";

export {
    alertReducer,
    AlertProvider,
    AlertComponent,
    ToastAlert,
    errorAlert,
    successAlert,
    infoAlert,
    warningAlert,
    promiseAlert
};
export type {
    ToastType,
    PromiseConfig
};
