import { AlertComponent } from "./AlertComponent"

export const AlertProvider = ({ children, limit, rtl }:
  { children: JSX.Element, limit?: number, rtl?: boolean }): JSX.Element => {

  return (
    <>
      {
        <AlertComponent limit={limit} rtl={rtl}>
          {children}
        </AlertComponent>
      }
    </>
  )
}
